version = 3.8.6
runner.dialect = scala213
preset = default
maxColumn = 120
indent.defnSite = 2

align = {
    preset = none
    openParenDefnSite = true
}

newlines = {
    source = keep
    topLevelStatementBlankLines = [
        { blanks { before = 1, after = 1, beforeAll = -1, afterAll = -1 } }
    ]
}

binPack = {
    preset = Oneline
    literalsExclude = []
}

rewrite = {
    rules = [SortModifiers, Imports]
    sortModifiers.preset = styleGuide
    imports.sort = scalastyle
    trailingCommas.style = multiple
    insertBraces.minLines = 3
}

docstrings = {
    oneline = fold
    wrap = keep
    forceBlankLineBefore = false
}